'use strict';

/* App Module */

angular.module('app', [
    'ui.bootstrap',
    'ui.router',
    'LocalStorageModule',
    'ngMaterial',
    'md.data.table',
    'sasrio.angular-material-sidenav',
    'luticate2Utils',
    // 'luticateAuth',
    'appSdk'
])
    .config(['$stateProvider', '$urlRouterProvider', 'ssSideNavSectionsProvider', '$mdThemingProvider',
        function($stateProvider, $urlRouterProvider, ssSideNavSectionsProvider, $mdThemingProvider) {

            // $mdThemingProvider
            //     .theme('default')
            //     .primaryPalette('blue', {
            //         'default': '700'
            //     });

            ssSideNavSectionsProvider.initWithTheme($mdThemingProvider);
            ssSideNavSectionsProvider.initWithSections([{
                id: 'toogle_1',
                name: 'Home',
                type: 'heading',
                children: [{
                    name: 'Home 1',
                    type: 'toggle',
                    pages: [{
                        id: 'toogle_1_link_1',
                        name: 'Home 1 1',
                        state: 'home'
                    }, {
                        id: 'toogle_1_link_2',
                        name: 'Home 1 2',
                        state: 'home.1.2',
                        hidden: true
                    }, {
                        id: 'toogle_1_link_3',
                        name: 'Home 1 3',
                        state: 'home.1.3'
                    }]
                }]
            }, {
                id: 'link_1',
                name: 'Home 2 ',
                state: 'home.2',
                type: 'link',
                icon: 'fa fa-check'
            }, {
                id: 'link_2',
                name: 'Home 3',
                state: 'home.3',
                type: 'link'
            }, {
                id: 'link_3',
                name: 'Link 3',
                state: 'common.link3',
                type: 'link',
                hidden: true
            },  {
                id: 'toogle_2',
                name: 'PkGuid',
                type: 'heading',
                children: [{
                    name: 'PkGuid 1',
                    type: 'toggle',
                    pages: [{
                        id: 'toogle_2_link_1',
                        name: 'PkGuid 1 1',
                        state: 'pkguid'
                    }]
                }]
            }]);

            $stateProvider.state('root', {
                abstract: true,
                template: '<div ui-view=""></div>',
                // resolve: ['luticateAuthUsers', function(luticateAuthUsers)
                // {
                //     return luticateAuthUsers.loadUserData(null);
                // }]
            });

            $stateProvider.state('home', {
                url:'/',
                parent: 'root',
                title: "Home",
                reloadOnSearch: false,
                templateUrl:'views/home.html',
                controller:'HomeController'
            });

            $stateProvider.state('pkguid', {
                url:'/pkguid',
                parent: 'root',
                title: "PkGuid",
                reloadOnSearch: false,
                templateUrl:'views/pkguid.html',
                controller:'PkGuidController'
            });

            $urlRouterProvider.otherwise('/');
    }])
    .directive('dateNow', ['$filter', function($filter) {
        return {
            link: function( $scope, $element, $attrs) {
                $element.text($filter('date')(new Date(), $attrs.dateNow));
            }
        };
    }])
    .run(['$rootScope', '$state',
        function ($rootScope, $state) {
            $rootScope.$on('$stateChangeSuccess', function (event, current, previous) {
                $rootScope.title = current.title + " - App";
            });
    }]);